package cn.net.cpzslibs.prot.handset.bean.req;

import java.util.List;

/** 
 * @author  作者 李扬: 
 * @date 创建时间：2017-4-20 下午1:46:09 
 * @version 1.0 
 * @parameter 
 * @since  
 * @return  
 */
public class Prot20018ReqBean {
	/*{
         “labels”:[“123445”,“12345633”],
 “opt_time”:”time”,
“opt”:1,
“flag”:1,
“plan_num”:111,
“area_id”:1234,
“remark”:”xxxxxxxx” 
}
*/
	private List<String> labels;
	private String opt_time;
	private int opt ;
	private int flag ;
	private int plan_num ;
	private int area_id;
	private String remark;
	
	public Prot20018ReqBean(List<String> labels, String opt_time, int opt,
			int flag, int plan_num, int area_id, String remark) {
		
		this.labels = labels;
		this.opt_time = opt_time;
		this.opt = opt;
		this.flag = flag;
		this.plan_num = plan_num;
		this.area_id = area_id;
		this.remark = remark;
	}

	public List<String> getLabels() {
		return labels;
	}

	public void setLabels(List<String> labels) {
		this.labels = labels;
	}

	public String getOpt_time() {
		return opt_time;
	}

	public void setOpt_time(String opt_time) {
		this.opt_time = opt_time;
	}

	public int getOpt() {
		return opt;
	}

	public void setOpt(int opt) {
		this.opt = opt;
	}

	public int getFlag() {
		return flag;
	}

	public void setFlag(int flag) {
		this.flag = flag;
	}

	public int getPlan_num() {
		return plan_num;
	}

	public void setPlan_num(int plan_num) {
		this.plan_num = plan_num;
	}

	public int getArea_id() {
		return area_id;
	}

	public void setArea_id(int area_id) {
		this.area_id = area_id;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	@Override
	public String toString() {
		return "Prot20018ReqBean [labels=" + labels + ", opt_time=" + opt_time
				+ ", opt=" + opt + ", flag=" + flag + ", plan_num=" + plan_num
				+ ", area_id=" + area_id + ", remark=" + remark + "]";
	}
	

}
